org.eclipse.wst.jsdt.debug.core.jsdi

## Interface Property

All Superinterfaces:
  Mirror

All Known Subinterfaces:
  Variable

    public interface Property
    extends Mirror

Abstract description of an object property.

Since:
  1.0
See Also:
  `Mirror`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `name()` Returns the name of this `Property` or `null` if one could not be determined.
`Value` `value()` Returns the value of this `Property`.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### name

    java.lang.String name()

Returns the name of this `Property` or `null` if one could not be determined.

Returns:
  the name of this `Property` or `null`.

#### value

    Value value()

Returns the value of this `Property`.

Returns:
  the value of this `Property`.